/**
    (C) Copyright 2012 Dominik Wagenfuehr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "DeclineStrategy.hh"

// Akzeptiert oder lehnt ein Angebot ab.
bool DeclineStrategy::acceptOffer( const int value )
{
    return false;
}

// Erstellt eine Kopie des Elements.
IStrategy* DeclineStrategy::copy() const
{
    return (IStrategy*)(new DeclineStrategy(*this));
}
